
//CUT-SCENE DEMO//
/*This shows how I would use path set to create a dynamic Cut-Scene, it may look a bit lengthy but that is just the
adding of text to make it llok like a cut scene. You could use it much more ellaboratley but this is quite a simple demo.
Hope this helps you understand*/



mob
	Login()
		..()
		var/mob/Player/new_mob = new/mob/Player
		src.client.mob = new_mob
		//when a mob logs in they are given the mob type of /Player this triggers a new login for /mob/Player shown below.


mob
	Player
		Login()
			sleep(4)
			src.CutScene()//initiates the cutscene




mob
	proc
		CutScene()
			var/mob/king = /mob/King//defines the king's type
			src.client.perspective = EYE_PERSPECTIVE// changes the clients perspective from the client.mob to the client.eye
			src.client.eye = locate(10,10,2)//moves the client.eye to 10,10,2
			src.fadeout()//fades out for effect
			src << "<img src = book.dmi> <font color = #E2E2A1>A long time ago in a far away kingom, A peasent appeals to his King for aid for his family."// some writing
			sleep(25)//a delay
			src.client.eye = locate(10,10,1)
			src.fadein()//fades in so you can see
			sleep(15)
			src.ClearOutput()
			sleep(5)
			src << "<img src = gaurd.dmi> <font color = #888888>My Lord a peasent to see you."
			sleep(20)
			src.ClearOutput()
			sleep(5)
			src << "<img src = king.dmi> <font color = #B200FF>Enter."
			sleep(20)
			src.ClearOutput()
			src.dir = NORTH
			src.loc = locate(10,1,1)
			Path_set(src, list(NORTH),  1, 11,  0, 0)
			src << "<img src = peasent.dmi> <font color = #3DA013> My Lord, My family is starving and there is little work in the surrounding area. If they go without food for much long they will starve to death."
			sleep(40)
			src.ClearOutput()
			for(var/mob/m in world)//this moves the king south 2 squares
				if(istype(m, king))
					Path_set(m, list(SOUTH),  1, 2,  0, 0)
			sleep(10)
			src << "<img src = king.dmi> <font color = #B200FF>What do you expect me to do about this problem peasent."
			sleep(25)
			src.ClearOutput()
			src << "<img src = peasent.dmi> <font color = #3DA013> I was hoping that you could show some sympathy on a poor soul and give my family some food."
			sleep(40)
			src.ClearOutput()
			src << "<img src = king.dmi> <font color = #B200FF>You clearly misconceive me, I am not a compasionant ruler. Infact I am completely the opposite."
			sleep(40)
			src.ClearOutput()
			src << "<img src = peasent.dmi> <font color = #3DA013> Please MY Lord!"
			sleep(20)
			src.ClearOutput()
			src << "<img src = king.dmi> <font color = #B200FF> GAURDS! Throw this filth in the dungeons!"
			StepGaurds()//moves the gaurds
			sleep(5)
			src.ClearOutput()
			src.dir = SOUTH//makes the user face south
			src << "<img src = peasent.dmi> <font color = #3DA013> NO!!!"
			src.fadeout()// fades out for effect
			// put your end of cut scene code here


		ClearOutput()//clearsthe output
			src << output(null, "output1")

		fadeout()//fades the screen out to black
			var/obj/F = /obj/fadein
			for(F in src.client.screen)
				src.client.screen -= F
			var/obj/fade = new/obj/fadeout
			src.client.screen += fade
			return

		fadein()//fades the screen in from black
			var/obj/F = /obj/fadeout
			for(F in src.client.screen)
				src.client.screen -= F
			var/obj/fade = new/obj/fadein
			src.client.screen += fade
			return
proc
	StepGaurds()//moves the gaurds to their needed positins
		var/mob/gaurd = /mob/Gaurd//gaurd var
		for(var/mob/m in world)//checks all mobs in the world
			if(istype(m, gaurd))//checks that the mobs type is /mob/gaurd if not it skips to checking the next mob
				if(m.x < 10)//checks if the mobs x position is below 10
					if(m.y < 10)//checks if the mobs y position is below 10
						Path_set(m, list(EAST),  1, 2,  0, 0)// moves the mob 64 pixels east or 2 32 by 32 squares east
						Path_set(m, list(NORTH),  1,1,  0, 0)// moves the mob 32 pixels north
					else// if the mobs y is above 10
						Path_set(m, list(EAST),  1, 1,  0, 0)// moves the mob 32 pixels east

				if(m.x > 10)//checks if the mobs x position is above 10
					if(m.y < 10)//checks if the mobs y position is below 10
						Path_set(m, list(WEST),  1, 2,  0, 0)// moves the mob 64 pixels west or 2 32 by 32 squares west
						Path_set(m, list(NORTH),  1,1,  0, 0)// moves the mob 32 pixels north
					else// if the mobs y is above 10
						Path_set(m, list(WEST),  1, 1,  0, 0)// moves the mob 32 pixels west




obj//obj to be applied to the screen for fading
	fadein
		icon = 'fadein.dmi'
		layer = 50
		screen_loc = "SOUTHWEST to NORTHEAST"

	fadeout
		icon = 'fadeout.dmi'
		layer = 50
		screen_loc = "SOUTHWEST to NORTHEAST"










//mobs and trufs & stuff
world
	view = 9

mob
	Player
		icon = 'cutscenemobs.dmi'
		icon_state = "peasent"
		step_size = 6

	King
		icon = 'cutscenemobs.dmi'
		icon_state = "king"
		step_size = 4

	Gaurd
		icon = 'cutscenemobs.dmi'
		icon_state = "gaurd"
		step_size = 5

turf
	floor
		icon = 'cutsceneturfs.dmi'
		icon_state = "floor"

	wall
		icon = 'cutsceneturfs.dmi'
		icon_state = "wall"
		density = 1

	carpet
		icon = 'cutsceneturfs.dmi'
		icon_state = "carpet"

	carpet_Ledge
		icon = 'cutsceneturfs.dmi'
		icon_state = "Ledge"

	carpet_Redge
		icon = 'cutsceneturfs.dmi'
		icon_state = "Redge"

	carpet_bottom
		icon = 'cutsceneturfs.dmi'
		icon_state = "bottom"

	carpet_Rcorner
		icon = 'cutsceneturfs.dmi'
		icon_state = "Rcorner"

	carpet_Lcorner
		icon = 'cutsceneturfs.dmi'
		icon_state = "Lcorner"

	torchL
		icon = 'cutsceneturfs.dmi'
		icon_state = "torchL"

	torchR
		icon = 'cutsceneturfs.dmi'
		icon_state = "torchR"

	tableL
		icon = 'cutsceneturfs.dmi'
		icon_state = "tableL"
		density = 1

	tableR
		icon = 'cutsceneturfs.dmi'
		icon_state = "tableR"
		density = 1

	tableM
		icon = 'cutsceneturfs.dmi'
		icon_state = "tableM"
		density = 1

	throne
		icon = 'cutsceneturfs.dmi'
		icon_state = "throne"


	//this is just so I can source the image
	book
		icon = 'book.dmi'

	gaurd
		icon = 'gaurd.dmi'

	king
		icon = 'king.dmi'

	peasent
		icon = 'peasent.dmi'




